Listar conversas
curl --request GET \
--url https://api.ararahq.com/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerPhone": "<string>",
"customerName": "<string>",
"status": "<string>",
"lastInteractionAt": "2023-11-07T05:31:56Z",
"windowExpiresAt": "2023-11-07T05:31:56Z",
"isWindowOpen": true,
"createdAt": "2023-11-07T05:31:56Z",
"leadStatus": "<string>",
"leadScore": 123,
"leadSummary": "<string>",
"originatingCampaignId": "<string>",
"qualifierCompletedAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"lastMessageDirection": "<string>"
}
],
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
}
Conversas
Listar conversas
Exige plano com caixa de entrada e número dedicado. Envelope
{ content, page, size, totalElements, totalPages }. Permissão: ADMIN.
GET
/
v1
/
conversations
Listar conversas
curl --request GET \
--url https://api.ararahq.com/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerPhone": "<string>",
"customerName": "<string>",
"status": "<string>",
"lastInteractionAt": "2023-11-07T05:31:56Z",
"windowExpiresAt": "2023-11-07T05:31:56Z",
"isWindowOpen": true,
"createdAt": "2023-11-07T05:31:56Z",
"leadStatus": "<string>",
"leadScore": 123,
"leadSummary": "<string>",
"originatingCampaignId": "<string>",
"qualifierCompletedAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"lastMessageDirection": "<string>"
}
],
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
}
Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Headers
Restringe o resultado a uma conta WhatsApp Business (WABA) da organização.
Query Parameters
Filtra por status da conversa.
Available options:
OPEN, CLOSED, ARCHIVED Filtra pela qualificação do contato.
OPEN só conversas respondíveis; EXPIRED só as que exigem template.
Available options:
OPEN, EXPIRED Required range:
x >= 0Required range:
x >= 1